@charset "UTF-8";
.any_pick {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
          min-height: 42px;
}

.any_pick_text {
  margin-top: 0;
}

.any_pick_text_red, .any_pick_text_green {
  display: inline-block;
  border-radius: 4px;
  padding: 2px 4px;
  margin-right: 4px;
  font-weight: 600;
}

.any_pick_text_red {
  border: 2px solid #b71c1c;
  color: #b71c1c;
}

.any_pick_text_green {
  border: 2px solid #43a047;
  color: #43a047;
}

/*右邊觸發至購物車區塊(資格符合或不符合)*/
#not_add_cart_block, #add_cart_block {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  justify-content: center;        
  font-size: 1rem;
  letter-spacing: 1px;
}

#not_add_cart_block .btn, #add_cart_block .btn {
  margin: 0 4px;
  width: 100%;
}

.add-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  overflow-x: auto;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.add-list li {
  padding: 0.25rem;
  min-width: 80px;
}

.add-list__item {
  position: relative;
  max-width: 110px;
  padding: 0.25rem;
  font-size: 0.85rem;
  height: 100%;
  text-align: right;
}

.add-list__item--red {
  background-color: rgba(183, 28, 28, 0.2);
}

.add-list__item--green {
  background-color: rgba(67, 160, 71, 0.2);
}

.add-list__info {
  position: absolute;
  width: calc(100% - 8px);
  bottom: 4px;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
}

.add-list__delete-btn {
  background: transparent;
  border: 0;
  padding: 0 0.4rem;
}

@media (max-width: 767px) {
  .add-list__item {
    max-width: 75px;
  }
}

.activity-red-green {
  /*tab紅色*/
  /*tab綠色*/
}

.activity-red-green .event_block_tabs .top-tab-red.active > a,
.activity-red-green .event_block_tabs .top-tab-red.active > a:hover,
.activity-red-green .event_block_tabs .top-tab-red.active > a:focus {
  background-color: #b71c1c;
}

.activity-red-green .event_block_tabs > .nav-tabs > .top-tab-red.active > a:after {
  border-color: #b71c1c transparent transparent transparent;
}

.activity-red-green .event_block_tabs .top-tab-green.active > a,
.activity-red-green .event_block_tabs .top-tab-green.active > a:hover,
.activity-red-green .event_block_tabs .top-tab-green.active > a:focus {
  background-color: #43a047;
}

.activity-red-green .event_block_tabs > .nav-tabs > .top-tab-green.active > a:after {
  border-color: #43a047 transparent transparent transparent;
}

/*手機上紅配綠tab下滑時固定浮動在top*/
@media (max-width: 767px){ 
   .activity-red-green .event_block_tabs{
      position: sticky;
      top: 46px;
      z-index: 1;
  }
  }

/*內容區塊增加class*/
.tab-pane-red .event_products, .tab-pane-green .event_products {
  position: relative;
}

.tab-pane-red .event_products::after, .tab-pane-green .event_products::after {
  content: attr(data-event);
  display: block;
  position: absolute;
  top: 0px;
  right: 0px;
  padding: 4px;
  border-radius: 0 0 0 4px;
  color: #fff;
  background: #b71c1c;
}

.tab-pane-green .event_products::after {
  background: #43a047;
}

.label_red_tag_product, .label_green_tag_product {
  display: inline-block;
  border-radius: 4px;
  padding: 2px 3px;
  margin-right: 4px;
  font-size: 0.875rem;
  line-height: 1;
  color: #fff;
}

.label_red_tag_product {
  background-color: #b71c1c;
}

.label_green_tag_product {
  background-color: #43a047;
}
